Package Details: naev-git v0.8.0.r177.gcbeb2c498-1

Git Clone URL: https://aur.archlinux.org/naev-git.git (read-only, click to copy)
Package Base: naev-git
Description: 2d action/rpg space game similar to Escape Velocity, development branch
Upstream URL: http://naev.org/
Keywords: game
Licenses: GPL
Conflicts: naev, naev-data
Provides: naev, naev-data
Submitter: jpate
Maintainer: ids1024 (AmbientCyan)
Last Packager: ids1024
Votes: 4
Popularity: 0.001378
First Submitted: 2010-12-07 16:16
Last Updated: 2020-12-17 05:39

Latest Comments

1 2 Next › Last »

kleintux commented on 2020-10-23 09:49

@AmbientCyan perfect, solved.

AmbientCyan commented on 2020-10-18 07:09

@kleintux - Fixed the issue upstream. See https://github.com/naev/naev/pull/1304

Also tested the fix with a fresh makepkg, and the issue seems solved.

kleintux commented on 2020-10-17 11:01

Builds without error. But get this error on start.


 Naev v0.8.0-beta.3 (x86_64-pc-linux-gnu)
 git HEAD at bde3b6b61
AppImage not detected.
Unable to set up SIGFPE signal handler.
BFD backtrace catching enabled.
ERROR ndata.c:235 [ndata_open]: Couldn't find ndata
Naev received SIGABRT!
naev(+0xd012f) [0x55ea0e6e812f] ??(...):0 ??
/usr/lib/libpthread.so.0(+0x140f0) [0x7ff9ff31f0f0] ??(...):0 ??
/usr/lib/libc.so.6(gsignal+0x145) [0x7ff9ff17f615] ??(...):0 ??
/usr/lib/libc.so.6(abort+0x116) [0x7ff9ff168862] ??(...):0 ??
naev(+0xd1e15) [0x55ea0e6e9e15] ??(...):0 ??
naev(main+0x36c) [0x55ea0e67e22c] ??(...):0 ??
/usr/lib/libc.so.6(__libc_start_main+0xf2) [0x7ff9ff16a152] ??(...):0 ??
naev(_start+0x2e) [0x55ea0e67f51e] ??(...):0 ??
Report this to project maintainer with the backtrace.

AmbientCyan commented on 2020-06-12 02:25

Can you add intltool and zip as dependencies? My build does not complete without them.

jpate commented on 2015-04-05 22:42

I'm disowning the package so somebody else can take over.

ids1024 commented on 2015-04-05 21:33

@jpate I'd be happy to maintain this package if you don't want to. I am closely following the development of naev.

Zucca commented on 2015-03-30 22:18

@jpate, please update the PKGBUILD.

ids1024 commented on 2015-03-18 22:20

Naev now builds with sdl2 by default, so the dependencies should be updated. In addition, it should build from git://github.com/naev/naev and use the new vcs format as I said bellow.

ids1024 commented on 2014-08-03 19:18

Updated PKGBUILD:
https://gist.github.com/ids1024/d93da6c60df680e31411

ids1024 commented on 2014-08-03 17:17

This should use the new vcs package format.

https://wiki.archlinux.org/index.php/VCS_PKGBUILD_Guidelines